ObjectFeatures Struct Reference

`#include </build/pcl-rK6aXX/pcl-1.12.1+dfsg/doc/tutorials/content/sources/iccv2011/include/feature_estimation.h>`

## Public Attributes

PointCloudPtr | points
SurfaceNormalsPtr | normals
PointCloudPtr | keypoints
LocalDescriptorsPtr | local_descriptors
GlobalDescriptorsPtr | global_descriptor

## Detailed Description

Definition at line 115 of file feature_estimation.h.

## Member Data Documentation

## global_descriptor

GlobalDescriptorsPtr ObjectFeatures::global_descriptor

Definition at line 121 of file feature_estimation.h.

## keypoints

PointCloudPtr ObjectFeatures::keypoints

Definition at line 119 of file feature_estimation.h.

## local_descriptors

LocalDescriptorsPtr ObjectFeatures::local_descriptors

Definition at line 120 of file feature_estimation.h.

## normals

SurfaceNormalsPtr ObjectFeatures::normals

Definition at line 118 of file feature_estimation.h.

## points

PointCloudPtr ObjectFeatures::points

Definition at line 117 of file feature_estimation.h.

The documentation for this struct was generated from the following file:

- /build/pcl-rK6aXX/pcl-1.12.1+dfsg/doc/tutorials/content/sources/iccv2011/include/feature_estimation.h